It's not a secret anymore!
The moose likes Tomcat and the fly likes tomcat 4.0.4 and apache-1.3.22 integration Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » Tomcat
Bookmark "tomcat 4.0.4 and apache-1.3.22 integration" Watch "tomcat 4.0.4 and apache-1.3.22 integration" New topic

tomcat 4.0.4 and apache-1.3.22 integration

manoj r patil
Ranch Hand

Joined: Jun 06, 2002
Posts: 181
Urgent help is expected!!!

I took reference of
Let me tell first that I'm using tomcat 4.0.4 and apache 1.3.22 on Windows2000. Your doc, is it compatible with windows?
I've done exactly same as mentioned in the doc.
Tomcat is getting started...with the message
"mod_jk location: modules\mod_jk.dll
Make sure it is installed correctly or set the config location Using <ApacheConfig modJk="PATH_TO_MOD_JK.SO_OR_DLL" />"
When I start apache, it gives error -
"Syntax error on line 7 of c:/jakarta-tomcat-4.0.4/conf/auto/mod_jk.conf:
Can't find the workers file specified
Note the errors or messages above, and press the <ESC> key to exit. 27.."
My mod_jk.conf looks like (I've put only the concerned code):
########## Auto generated on Wed Nov 20 20:34:18 IST 2002##########
<IfModule !mod_jk.c>
LoadModule jk_module modules/mod_jk.dll
JkWorkersFile "../conf/jk/"
JkLogFile "../logs/mod_jk.log"
JkLogLevel emerg
<VirtualHost localhost>
ServerName localhost
Thanks in Advance,

love your job and not your company;
...because you never know when your company will stop loving you!
I agree. Here's the link:
subject: tomcat 4.0.4 and apache-1.3.22 integration
It's not a secret anymore!